Dementia: a multidisciplinary approach to caring for people with changed behaviours

DEMENTIA: a multidisciplinary approach to caring for people with changed behaviours

Practical support on how to overcome barriers when providing care to people living with dementia.


Thursday, 29 October 2020

3:00 – 4:15 pm AEDT


Target audience: GPs, Nurses, Pharmacists

Open to: All health professionals and students

Cost: Free

CPD points: GPs, Nurses, Pharmacists view details

View the learning outcomes.

Registrations close: Midday, Wednesday 28 October, 2020


About the webinar

This webinar will emphasise how working and communicating as part of a multidisciplinary team can empower health professionals to optimise non-pharmacological approaches in management. Panel members will discuss a case study that illustrates how to implement a person-centred approach to managing changed behaviours in people living with dementia.

Meet the panel

Join our multidisciplinary panel as they provide their collective perspectives on how they work together and collaborate with families and people living with dementia.

Kara Joyce (facilitator)


Kara Joyce is the Clinical Lead on the NPS MedicineWise program, Dementia and changed behaviours; a person-centred approach. Over the past 4 years Kara has been part of the national field force delivering NPS MedicineWise education programs to GPs and pharmacists.

She is an accredited pharmacist who has a special interest in dementia care and will be the facilitator for this webinar.


Henry Brodaty

Professor Brodaty is a researcher, clinician, policy advisor and strong advocate for people with dementia and their carers. At UNSW Sydney, he is Scientia Professor of Ageing and Mental Health, Co-Director of the Centre for Healthy Brain Ageing, and Director, Dementia Collaborative Research Centre.

He has over 600 publications in refereed journals, is senior psychogeriatrician at the Prince of Wales Hospital, Sydney and is deputy editor of International Psychogeriatrics. He serves on multiple committees for the NSW and Australian governments and the World Health Organization.

He was previously President of the International Psychogeriatric Association, Chairman of Alzheimer's Disease International, and President of Alzheimer's Australia NSW and Australia. In 2000 he became an Officer of the Order of Australia and in 2016 received the Ryman Prize for the world's best development, advance or achievement that enhances quality of life for older people.


Theresa Flavin


Theresa has been living with dementia for 9 years. She has 5 children, the youngest is 16 years old.

Theresa is a passionate advocate and activist for the human rights and dignity of people with dementia. She has spoken at conferences around Australia and has been published in several domestic and international journals in relation to supported decision making in the context of dementia, and the right to inclusion in the development and design of dementia services and representative organisations.


Ellie Newman


Ellie has considerable clinical experience specialising in aged and dementia care, particularly across the hospital and health care settings.

As a senior physiotherapist, her role has evolved into Clinical Specialist for Dementia and Delirium, leading and implementing a better way to care for patients living with dementia in hospitals. Much of her work has involved building workforce capacity and capability, delivering policy and practice change as well as developing health service-wide strategic direction for dementia care.

Ellie is committed to identifying opportunities to enhance and enable others to support the delivery of person-centred care and achieve better outcomes for people living with dementia.


Allan Shell


Dr Allan Shell is an UNSW Medicine Alumnus. Following a long career in General Practice, he is currently an Academic GP and Adjunct Senior Lecturer in post-graduate Medicine to the School of Psychiatry’s Dementia Collaborative Research Centre (DCRC) at UNSW.

Since 2009, he has worked on a number of general practice-based projects with Professor Henry Brodaty and other members of the DCRC, as well as co-authored peer-reviewed published articles related to that work.

Allan was a key contributor to a major Dementia Australia NQDCI funded project, ‘A more timely diagnosis and management of dementia in Primary Care’ (Timely Diagnosis project).

More recently Allan has been the consultant liaison GP and GP educator at the HALT project which aims to improve the better management of medicines for patients with dementia in residential aged care facilities.


Andrew Stafford


Andrew is an academic and an accredited pharmacist with an interest in clinical geriatrics. His experience in aged care has spanned the residential and community sectors, and he currently provides medication reviews and training services for a number of providers in Western Australia.

Andrew's research interests include the development and assessment of programs designed to optimise healthcare for older people, especially through the quality use of medicines.

Much of Andrew's work in his roles with Dementia Training Australia involve developing and disseminating innovative resources that upskill the aged care workforce. Through his teaching experience in Tasmanian and Western Australian universities he is an accomplished educator, particularly within consultant pharmacy practice.


Perri Waddell


Perri is a Registered Nurse with over 30 years' experience including the last 15 years in aged care. She has a Bachelor of Dementia Care from UTAS and a Master of Clinical Nursing, Gerontology from ECU.

Perri is passionate about supporting nurses to advocate for people with dementia so that all parties recognise and acknowledge the person behind the disease first and foremost. Where nursing staff have the tools and language to advocate with confidence, there is opportunity to bring both families and the multidisciplinary team on a journey that helps people with dementia live their best lives and reduce the 'plagues of boredom, loneliness and helplessness'.

CPD points

RACGP

This activity has been approved for 2 points (CPD Activity) under the RACGP CPD Program for the 2020-2022 triennium (activity number: 227752).

ACRRM

This activity has been accredited for 1 hour under the educational activity category in the ACRRM PD Program for the 2020-2022 triennium (activity code: 21223).

PHARMACISTS

CPD accreditation pending.

NURSES

This Webinar is endorsed by ACN according to our Continuing Professional Development (CPD) Endorsed Course Standards. It has been allocated 1.15 CPD hours according to the Nursing and Midwifery Board of Australia – Continuing Professional Development Standard.

Self-directed CPD

It is recommended that 1 CPD hour be recorded for the purposes of self-directed CPD.

Learning outcomes

By the end of this activity, participants will be able to:

  • Develop a person-centred approach to support the management of changed behaviours in dementia.
  • Use a multidisciplinary team approach to implement non-pharmacological strategies when working with changed behaviours.
  • Recognise potential barriers and identify solutions to overcome barriers to implementing a person-centred approach in the care of people with dementia.
  • Manage the communication with the MDT to ensure that a person-centred approach is implemented when working with changed behaviours.
Last modified: Friday, 23 October 2020, 1:51 PM